//========================================================================================
//
//	File:				PRGrUtil.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PRGRUTIL_H
#define PRGRUTIL_H

#ifndef FWRECT_H
#include "FWRect.h"
#endif

#ifndef FWPOINT_H
#include "FWPoint.h"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k"
#endif

//========================================================================================
//	Private Utilities
//========================================================================================

void SL_API 	FW_PrivCalcArcPoints(const FW_CPlatformRect& rect, 
								short angle,
								FW_CPlatformPoint& arcPoint);

//========================================================================================
//	Windows Utilities
//========================================================================================

#ifdef FW_BUILD_WIN
void SL_API		FW_PrivWinGetDisplayColorInfo(short& planeCount, short& bitsPixel);
DWORD SL_API 	FW_PrivWinConvertRasterOp(FW_TransferModes transferMode);
int SL_API 		FW_PrivWinROP2(FW_TransferModes transferMode);
#endif

//========================================================================================
//	Macintosh Utilities
//========================================================================================

#ifdef FW_BUILD_MAC
void SL_API		FW_PrivMacGetPortTextStyle(TextStyle& theTextStyle);
void SL_API		FW_PrivMacSetPortTextStyle(const TextStyle& theTextStyle);
short SL_API	FW_PrivMacGetMacTransferMode(FW_TransferModes transferMode);
void SL_API		FW_PrivMacSetStdColors();
#endif

#endif // PRGRUTIL_H
